package org.objectweb.petals.tools.webadmin.ui.monitoring.beans;

import javax.management.ObjectName;

public class ComponentBean {
    /**
     * Description of the component
     */
    private String description;

    /**
     * Name of the component
     */
    private String name;

    /**
     * JMX ObjectName
     */
    private ObjectName objectName;

    /**
     * State of the component
     */
    private String state;

    /**
     * Type of component
     */
    private String type;

    public ComponentBean() {
    }

    public String getDescription() {
        return description;
    }

    public String getName() {
        return name;
    }

    public ObjectName getObjectName() {
        return objectName;
    }

    public String getState() {
        return state;
    }

    public String getType() {
        return type;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public void setName(String name) {
        this.name = name;
    }

    public void setObjectName(ObjectName objectName) {
        this.objectName = objectName;
    }

    public void setState(String state) {
        this.state = state;
    }

    public void setType(String type) {
        this.type = type;
    }
}
