/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2007 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: StorageAdminServiceMBean.java msauvage $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.mbean;

import java.util.List;
import java.util.Map;

import javax.management.MBeanException;
import javax.management.ObjectName;

public interface StorageAdminServiceMBean {

    boolean initComponentsMBean(ObjectName mBeanName,
        Map<String, Map<String, Map<String, Object>>> serversComponents)
        throws MBeanException;

    boolean initServersMBean(ObjectName mBeanName,
        List<Map<String, String>> serversList) throws MBeanException;

    boolean initTimeDatasMBean(ObjectName mBeanName,
        Map<String, Map<Long, Long>> datasets) throws MBeanException;
    
    boolean getPing();
}
